Bug 104668 - FORMATTING: Difference between MS Word and Writer text alignment.
Summary: FORMATTING: Difference between MS Word and Writer text alignment.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Vitaliy
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2016-12-14 08:25 UTC by Vitaliy
Modified: 2018-11-29 08:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (270.23 KB, application/pdf)
2016-12-14 08:25 UTC, Vitaliy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaliy 2016-12-14 08:25:32 UTC
Created attachment 129616 [details]
Example

In MS Word (the same in Google Docs) space chars at end of line move out of the document border when text-align set to right. In Writer the chars shift the text.
Comment 1 Commit Notification 2017-01-12 11:21:12 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c1747ac13a9d895df0fcba2fbb1bd266dccd74b

tdf#104668 remove the difference between MSO and LO text alignment

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Cor Nouws 2017-01-12 14:14:27 UTC
(In reply to Commit Notification from comment #1)

> Affected users are encouraged to test the fix and report feedback.

Interesting commit, Vitaliy, thanks.
I expect this to have effect too on situations with superfluous tabs and so in footers in doc(x) files (see bug 40787)
Will test that.
Comment 3 Vitaliy 2017-01-13 06:49:54 UTC
Cor Nouws: I make an option in the Tools->Writer->Compatibility menu that save old mode and can disable this patch (and patch from bug 104349) for ODF docs. I will test it some later.
Comment 4 Cor Nouws 2017-01-13 11:06:36 UTC
(In reply to Vitaliy from comment #3)
> Cor Nouws: I make an option in the Tools->Writer->Compatibility menu that
> save old mode and can disable this patch (and patch from bug 104349) for ODF
> docs. I will test it some later.

I'm am not sure if that is needed, but..

What I meant to say with my previous comment, is that I expect that is has *positive*  effect.
(waiting for a fresh daily build to test.)
Comment 5 Cor Nouws 2017-01-15 15:24:39 UTC
(In reply to Cor Nouws from comment #4)

> What I meant to say with my previous comment, is that I expect that is has
> *positive*  effect.
> (waiting for a fresh daily build to test.)

No effect on that situation.
Comment 6 jani 2017-01-16 07:04:00 UTC
Please do not set a bug to resolved before your patch has been merged to master

By setting it to resolved, the QA team will control it, which is lost time, since it is not available in the daily build
Comment 7 Commit Notification 2017-01-17 10:53:01 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7fa20da88a4778bdf20d6ca0491fe97ae03ab554

tdf#104349, tdf#104668 MS Word compatibility trailing blanks option

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-01-18 08:49:02 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb4943338317c8f24b143d7d1f0b8f2069af1577

tdf#104349, tdf#104668 MS Word compatibility trailing blanks option part 2

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2017-02-06 17:39:21 UTC
Cor, will you please test all this and provide test document? 

I can see there's option now in Tools->Options->LibreOffice Writer->Compatibility. 
"The option is enabled by default for imported MS Word formats: .doc, .docx, .rtf For the ODF files the option is disabled by default."
Comment 10 Timur 2017-02-06 17:46:10 UTC Comment hidden (me-too, obsolete)
Comment 11 Cor Nouws 2017-02-06 19:10:34 UTC
(In reply to Timur from comment #9)
> Cor, will you please test all this and provide test document? 


Why?
Comment 12 Commit Notification 2017-02-15 12:18:16 UTC
Vitaliy Anderson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b29046814f59f5911e619cb7569bd3333b0333e5

tdf#104349, tdf#104668 MS Word compatibility trailing blanks option part 3

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.